Subject: bug#9757: configuration and compilation for multiple architectures not possible

From: Peter Dyballa <[email-masked]>
Date: Sun, 16 Oct 2011 12:46:19 +0200

Am 16.10.2011 um 07:08 schrieb Paul Eggert:

> This has never worked for Emacs, right?  So it's a wishlist item?

What do you mean? GNU Emacs as a fat or "Universal" binary on Mac OS X? Or wide Lisp INTs on 32-bit hardware? The latter seems to work now (although I would need to find a file large enough to actually test this feature).

The former seems to fail all time when it comes to build temacs... But anyway, this is more academic, since modern Apple hardware is intel 64-bit and Apple has removed PowerPC support ("Rosetta" in Mac OS X 10.7, Xcode 4) from its up-to-date software releases. (And I actually was more of testing my understanding of compiling for multiple architectures.)

--
Greetings

  Pete

’Twas a woman who drove me to drink, and I never had the courtesy to thank her for it.
				— W.C. Fields